JBoss API: Class WebApplication

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.web
Class WebApplication

    java.lang.Object
      |
      +--org.jboss.web.WebApplication

public class WebApplication
extends java.lang.Object

A WebApplication represents the information for a war deployment.

Version:
  $Revision: 1.2.6.2 $
Author:
  Scott.Stark@jboss.org
See Also:
  `AbstractWebContainer`

Constructor Summary
`WebApplication()` Create an empty WebApplication instance
`WebApplication(java.lang.String name, java.net.URL url, java.lang.ClassLoader classLoader)` Create a WebApplication instance with with given name, url and class loader.
`WebApplication(WebMetaData metaData)` Create a WebApplication instance with with given web-app metadata.

Method Summary
`java.lang.Object` | `getAppData()`
`java.lang.ClassLoader` | `getClassLoader()` Get the class loader of this WebApplication.
`WebMetaData` | `getMetaData()` Getter for property metaData.
`java.lang.String` | `getName()` Get the name of this WebApplication.
`java.net.URL` | `getURL()` Get the URL from which this WebApplication was deployed
`void` | `setAppData(java.lang.Object data)`
`void` | `setClassLoader(java.lang.ClassLoader classLoader)` Set the class loader of this WebApplication.
`void` | `setMetaData(WebMetaData metaData)` Setter for property metaData.
`void` | `setName(java.lang.String name)` Set the name of this WebApplication.
`void` | `setURL(java.net.URL url)` Set the URL from which this WebApplication was deployed
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebApplication

    public WebApplication()

  Create an empty WebApplication instance

### WebApplication

    public WebApplication(WebMetaData metaData)

  Create a WebApplication instance with with given web-app metadata.
  Parameters:
    `metaData,` - the web-app metadata containing the web.xml and jboss-web.xml descriptor metadata.

### WebApplication

    public WebApplication(java.lang.String name,
                          java.net.URL url,
                          java.lang.ClassLoader classLoader)

  Create a WebApplication instance with with given name, url and class loader.
  Parameters:
    `name,` - name of this application
    `url,` - url where this application was deployed from
    `classLoader,` - Class loader of this application

Method Detail

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

  Get the class loader of this WebApplication.
  Returns:
    The ClassLoader instance of the web application

### setClassLoader

    public void setClassLoader(java.lang.ClassLoader classLoader)

  Set the class loader of this WebApplication.
  Parameters:
    `classLoader,` - The ClassLoader instance for the web application

### getName

    public java.lang.String getName()

  Get the name of this WebApplication.
  Returns:
    String name of the web application

### setName

    public void setName(java.lang.String name)

  Set the name of this WebApplication.
  Parameters:
    `String` - name of the web application

### getURL

    public java.net.URL getURL()

  Get the URL from which this WebApplication was deployed
  Returns:
    URL where this application was deployed from

### setURL

    public void setURL(java.net.URL url)

  Set the URL from which this WebApplication was deployed
  Parameters:
    `url,` - URL where this application was deployed from

### getAppData

    public java.lang.Object getAppData()

### setAppData

    public void setAppData(java.lang.Object data)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getMetaData

    public WebMetaData getMetaData()

  Getter for property metaData.
  Returns:
    Value of property metaData.

### setMetaData

    public void setMetaData(WebMetaData metaData)

  Setter for property metaData.
  Parameters:
    `metaData` - New value of property metaData.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.